
QGIS Application - Bug report #7166

raster resampling does not work when reprojection is on.

2013-02-16 11:44 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16219

Description

Happens even if the raster is not actually reprojected, is just enough to have OTFR on. Tested on QGIS master.

As a new feature not working as should be, I tag this as blocker.

History

#1 - 2013-02-16 11:56 AM - Giovanni Manghi

- Subject changed from resampling does not work for reprojected rasters to raster resampling does not work when reprojection is on.

#2 - 2013-05-16 02:47 AM - Radim Blazek

- Status changed from Open to Feedback

Works for me. Both if reprojection is on and raster is not reprojected and if raster is reprojected.

Note that resampling is done before reprojection. If source and target CRS are very different, it may happen that resampling effect is lost because

neighbour pixel in target are not neighbour in source. I would call this feature, at least for now (2.0).

#3 - 2013-05-16 04:09 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

#4 - 2013-05-16 05:33 AM - Radim Blazek

There were some bugs in resampler. If oversampling was 1, it was not doing resampling and returning smaller block (by 1 row,col) than requested. That

could result in completely distorted raster and zoomed in resampler was never used with reprojection because reprojector limits resolution exactly to raster

resolution. It should be fixed  in commit:36bf93c.
